#
# Makefile
# Ilja Kartašov, 2019-03-02 17:32
#
#
OUT_DIR ?= build

.PHONY: library examples tool

all: library examples

library:
	@cd library && make

examples: library
	@cd examples && make

tool: library
	@cd tool && make

clean:
	$(info cleaning: build files)
	@rm -Rf $(OUT_DIR)
	@rm -Rf ./vgcore.*

install: library
	cd library && make install
	cd tool && make install

# vim:ft=make
#
